import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Bullet here.
 * 
 * @author Ethan Noble
 */
public abstract class Bullet extends AnimatedActor {
    private Vector movement;
    
    /**
     * Constructor
     */
    public Bullet(int[][][] image, int startFrame, int animationSpeed, int direction, int movementSpeed, int size, Color color) {
        super(image, startFrame, animationSpeed, movementSpeed, size, color);
        movement = new Vector(direction, movementSpeed);
    }
    
    /**
     * Getters and setters
     */
    public Vector getVector() {
        return movement;
    }
    
    public boolean checkAtEdge() {
        if (isAtEdge()) {
            getWorld().removeObject(this);
            return true;
        }
        
        return false;
    }
}
