import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;

/**
 * Write a description of class AlienSound here.
 * 
 * @author Ethan Noble
 */
public class AlienSound extends Actor {
    private int i = 0;
    
    public void act() {
        playImpendingDoomSound();
    }
    
    private void playImpendingDoomSound() {
        List<Alien> aliens = getWorld().getObjects(Alien.class);
        
        if (aliens.size() > 0) {
            if (aliens.get(0).getAnimationCounter() % aliens.get(0).getAnimationSpeed() == 0) {
                if (i > 3) {
                    i = 0;
                }
            
                Greenfoot.playSound("alien" + i + ".wav");
            
                i++;
            }
        }
    }
}
