import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;

/**
 * Write a description of class Barrier here.
 * 
 * @author Ethan Noble
 */
public class Barrier extends Actor {
    private int xIndexPosition;
    private int yIndexPosition;
    private int barrierIndex;
    
    private int size = 5;
    private Color color = Color.GREEN;

    public Barrier(int barrierIndex, int xIndexPosition, int yIndexPosition) {
        this.barrierIndex = barrierIndex;
        this.xIndexPosition = xIndexPosition;
        this.yIndexPosition = yIndexPosition;
        
        initializeImage();
    }
    
    /**
     * Getters
     */
    public int getXIndexPosition() {
        return xIndexPosition;
    }
    
    public int getYIndexPosition() {
        return yIndexPosition;
    }
    
    public int getBarrierIndex() {
        return barrierIndex;
    }
    
    public List<Barrier> findNeighbors() {
        List<Barrier> barriers = getObjectsInRange(size * 3, Barrier.class);
        return barriers;
    }
    
    private void initializeImage() {
        getImage().scale(size, size);
        getImage().setColor(color);
        getImage().fill();
    }
}
